Eclipse Platform Release 3.7

## org.eclipse.core.runtime
Class ContributorFactoryOSGi

    java.lang.Object
      org.eclipse.core.runtime.ContributorFactoryOSGi

    public final class ContributorFactoryOSGi

extends Object

The contributor factory creates new registry contributors for use in OSGi-based registries.

This class can not be extended or instantiated by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  org.eclipse.equinox.registry 3.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

Constructor Summary
`ContributorFactoryOSGi()`

Method Summary
`static IContributor` `createContributor(Bundle contributor)` Creates registry contributor object based on a Bundle.
`static Bundle` `resolve(IContributor contributor)` Returns the OSGi bundle used to define this contributor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContributorFactoryOSGi

    public ContributorFactoryOSGi()

Method Detail

### createContributor

    public static IContributor createContributor(Bundle contributor)

  Creates registry contributor object based on a Bundle. The bundle must not be `null`.

  Parameters:
    `contributor` - bundle associated with the contribution
  Returns:
    new registry contributor based on the Bundle

### resolve

    public static Bundle resolve(IContributor contributor)

  Returns the OSGi bundle used to define this contributor. If a fragment was used to create the contributor, the fragment is returned.

  The method may return null if the contributor is not based on a bundle, if the bundle can't be found, or if the bundle is presently unresolved or uninstalled.

  Parameters:
    `contributor` - bundle-based registry contributor
  Returns:
    the actual OSGi bundle associated with this contributor
  Since:
    org.eclipse.equinox.registry 3.3

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.